Create a fact-find session Run in API Explorer
Ask AI
Body
-
The UUID of the fact find template that you would like the client to use.
-
The UUID of the client account to send the fact find request. This must only be individual clients. Cannot be used with circle_uuid.
-
The UUID of the circle to send the fact find request to. Cannot be used with client_uuid.
-
This controls if an email to the client is sent to invite them to complete a fact find. Set this to false if you are going to send your own invitation.
-
The text that will appear in the invitation email sent to the client (if enabled)
POST
/api/v2/fact-find/session
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/session' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"fact_find_template_uuid":"9ccb2e6b-c4c1-4260-9626-2cf80dd9b296","client_uuid":"37feb20f-b22e-4481-ad83-dd195b5cbf22","circle_uuid":"571ef288-2861-41ce-9c4e-16c3d281355f","send_invitation_email":true,"invitation_text":"Please complete this fact find."}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"fact_find_template_uuid": "9ccb2e6b-c4c1-4260-9626-2cf80dd9b296",
"client_uuid": "37feb20f-b22e-4481-ad83-dd195b5cbf22",
"circle_uuid": "571ef288-2861-41ce-9c4e-16c3d281355f",
"send_invitation_email": true,
"invitation_text": "Please complete this fact find."
}
Response examples (201)
{
"uuid": "33a114e2-f0c1-48c9-94f2-991a6928050b",
"created_at": "2026-08-11T10:38:40+01:00",
"updated_at": "2026-08-11T10:38:40+01:00",
"status": "complete",
"completed_at": "2026-08-06T10:38:40+01:00",
"invitation_text": "Please complete this fact find!",
"template": {
"uuid": "b8d120ba-8cb6-4af5-b34d-8d93ce17a324",
"created_at": "2026-08-11T10:38:40+01:00",
"updated_at": "2026-08-11T10:38:40+01:00",
"name": "My Fact-Find Template",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "055c390e-d9e7-4259-a896-f2d24e48ab70",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
}
},
"latest_file": {
"uuid": "d116c70c-4b15-4770-a84d-7fa4427af291",
"created_at": "2026-08-11T10:38:40+01:00",
"original_created_at": "2026-08-11T10:38:40+01:00",
"updated_at": "2026-08-11T10:38:40+01:00",
"uploaded_at": "2026-08-11T10:38:40+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-08-11T10:38:40+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/83964186-3960-4834-a01b-2c7a8c8eb2cb/download",
"folder_name": "folder 2",
"folder": {
"uuid": "1f1944ca-e81c-43fc-8cd0-042b9323fd59",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "2251b16e-8bc2-4c2a-a33c-b79e79983c7a"
},
"firm": {
"uuid": "8ee3f521-caaa-4758-8d48-286284bef0f3",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "344c8802-e85d-455a-980c-d1f5e02945ba",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "c2ff9549-fbfc-4a44-9d2d-e3762eb55898",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
},
"account": {
"uuid": "d9846901-b6fe-4a71-808b-9279b731a73b",
"created_at": "2026-08-11T10:38:40+01:00",
"updated_at": "2026-08-11T10:38:40+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "f3bae78b-caf2-489d-87b6-90fd6f6dde1a",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"invitation_url": "https://api.plannrcrm.com/fact-find-session/782a0cb0-5a7a-4b52-98ee-d899badd438d"
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}